com.tibco.datagrid

## Interface ResultSetMetadata

-     public interface ResultSetMetadata

  A resultsetmetadata object is used to obtain information about a query This information includes column names and column types

  To create a resultsetmetadata object, call `Statement.getResultSetMetadata`.

  This interface is implemented internally. Applications do not implement this interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnCount()` Get the number of columns in a row of a result.
    `java.lang.String` | `getColumnLabel(int columnNumber)` Get the column label associated with the specified column number.
    `java.lang.String` | `getColumnName(int columnNumber)` Get the original column name, as defined in the datagrid, of a result column.
    `java.lang.String` | `getColumnTableName(int columnNumber)` Get the name of a table associated with a column from the resultsetmetadata object.
    `ColumnType` | `getColumnType(int columnNumber)` Get the column type from the resultsetmetadata object for a particular column.
    `boolean` | `isColumnNullable(int columnNumber)` Determine whether the specified column can have null values.

- - ### Method Detail

    - #### getColumnCount

          int getColumnCount()
                      throws DataGridException

      Get the number of columns in a row of a result.

      Returns:
        the number of columns.
      Throws:
        `DataGridException` - in case of failures

    - #### getColumnName

          java.lang.String getColumnName(int columnNumber)
                                  throws DataGridException

      Get the original column name, as defined in the datagrid, of a result column. If the column wasn't defined in the datagrid, then null is returned.

      Parameters:
        `columnNumber` - The number of the column.
      Returns:
        the name of the specified column.
      Throws:
        `DataGridException` - in case of failures

    - #### getColumnLabel

          java.lang.String getColumnLabel(int columnNumber)
                                   throws DataGridException

      Get the column label associated with the specified column number. The column label is the alias specified by the SQL AS clause. If an AS clause has not been specified, the value returned will be the same as the value returned by the getColumnName method.

      Parameters:
        `columnNumber` - The number of the column.
      Returns:
        the label of the specified column.
      Throws:
        `DataGridException` - in case of failures

    - #### getColumnType

          ColumnType getColumnType(int columnNumber)
                            throws DataGridException

      Get the column type from the resultsetmetadata object for a particular column.

      Parameters:
        `columnNumber` - The number of the column.
      Returns:
        `ColumnType`
      Throws:
        `DataGridException` - in case of failures

    - #### getColumnTableName

          java.lang.String getColumnTableName(int columnNumber)
                                       throws DataGridException

      Get the name of a table associated with a column from the resultsetmetadata object.

      Parameters:
        `columnNumber` - The number of the column.
      Returns:
        the name of the table for the specified column.
      Throws:
        `DataGridException` - in case of failures

    - #### isColumnNullable

          boolean isColumnNullable(int columnNumber)
                            throws DataGridException

      Determine whether the specified column can have null values.

      Parameters:
        `columnNumber` - The number of the column.
      Returns:
        true if the column can contain null values, false otherwise.
      Throws:
        `DataGridException` - in case of failures